﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 계산기 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface ICalculatorService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 나누기 - Divide(numerator, denominator)

        /// <summary>
        /// 나누기
        /// </summary>
        /// <param name="numerator">분자</param>
        /// <param name="denominator">분모</param>
        /// <returns>몫</returns>
        [OperationContract]
        int Divide(int numerator, int denominator);

        #endregion
    }
}